## hub 2.7.0~ds1

=== Makefile ===
SOURCES = $(shell script/build files)

MIN_COVERAGE = 89.4

HELP_CMD = \
	share/man/man1/hub-alias.1 \
	share/man/man1/hub-browse.1 \
	share/man/man1/hub-ci-status.1 \
	share/man/man1/hub-compare.1 \
	share/man/man1/hub-create.1 \
	share/man/man1/hub-delete.1 \
	share/man/man1/hub-fork.1 \
	share/man/man1/hub-pr.1 \
	share/man/man1/hub-pull-request.1 \
	share/man/man1/hub-release.1 \
	share/man/man1/hub-issue.1 \
	share/man/man1/hub-sync.1 \

HELP_EXT = \
	share/man/man1/hub-am.1 \
	share/man/man1/hub-apply.1 \
	share/man/man1/hub-checkout.1 \
	share/man/man1/hub-cherry-pick.1 \
	share/man/man1/hub-clone.1 \
	share/man/man1/hub-fetch.1 \
	share/man/man1/hub-help.1 \
	share/man/man1/hub-init.1 \
	share/man/man1/hub-merge.1 \
	share/man/man1/hub-push.1 \
	share/man/man1/hub-remote.1 \
	share/man/man1/hub-submodule.1 \

HELP_ALL = share/man/man1/hub.1 $(HELP_CMD) $(HELP_EXT)

TEXT_WIDTH = 87

bin/hub: $(SOURCES)
	script/build -o $@

test:
	go test ./...

test-all: bin/cucumber
ifdef CI
	script/test --coverage $(MIN_COVERAGE)
else
	script/test
endif

bin/ronn bin/cucumber:
	script/bootstrap

fmt:
	go fmt ./...

man-pages: $(HELP_ALL:=.ronn) $(HELP_ALL) $(HELP_ALL:=.txt)

%.txt: %.ronn
	groff -Wall -mtty-char -mandoc -Tutf8 -rLL=$(TEXT_WIDTH)n $< | col -b >$@

$(HELP_ALL): share/man/.man-pages.stamp
share/man/.man-pages.stamp: bin/ronn $(HELP_ALL:=.ronn)
	bin/ronn --organization=GITHUB --manual="Hub Manual" share/man/man1/*.ronn
	touch $@

%.1.ronn: bin/hub
	bin/hub help $(*F) --plain-text | script/format-ronn $(*F) $@

share/man/man1/hub.1.ronn:
	true

install: bin/hub man-pages
	bash < script/install.sh

clean:
	git clean -fdx bin share/man

.PHONY: clean test test-all man-pages fmt install

## hub 2.5.1~ds1

=== debian/changelog ===
hub (2.5.1~ds1-1) unstable; urgency=medium

  * New upstream version 2.5.1
  * Remove goyaml.patch which has been merged upstream.
    See https://github.com/github/hub/pull/1780

 -- Anthony Fok <foka@debian.org>  Mon, 24 Sep 2018 21:17:37 -0600

hub (2.4.0~ds1-1) unstable; urgency=medium

  [ Tianon Gravi ]
  * Initial packaging in 2015 and 2016 with hub 2.2.3~ds1,
    but unreleased due to missing dependencies

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Anthony Fok ]
  * Initial release of hub 2.4.0~ds1 (Closes: #807866)
  * Migrate from gopkg.in/yaml.v1 to gopkg.in/yaml.v2
  * Update Build-Depends for hub v2.4.0
  * Apply "cme fix dpkg" fixes to debian/control and debian/copyright
  * Add myself to the list of Uploaders
  * Build and install man pages
  * Install bash, fish and zsh completion files
  * Disable TestTransformRemoteArgs which requires local repo in .git/
  * Update package description and dependencies

  [ Antoine Beaupré ]
  * Fix build dependency:
    The ruby-ronn package does not ship the ronn program anymore

  [ Anthony Fok ]
  * Bump Standards-Version to 4.2.1 (no change)
  * Add behind-the-scene copyright information about this Go rewrite of Hub
    (v2), initiated by Jingwen Owen Ou <jingweno@gmail.com> which has now
    replaced the original (v1) Ruby implementation, to debian/copyright
    (Closes: #909514)
  * Also add my name for the debian/* files to debian/copyright

 -- Anthony Fok <foka@debian.org>  Mon, 24 Sep 2018 17:03:52 -0600

=== debian/control ===
Source: hub
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>,
           Anthony Fok <foka@debian.org>
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-exec,
               dh-golang,
               git,
               golang-any,
               golang-github-atotto-clipboard-dev,
               golang-github-bmizerany-assert-dev,
               golang-github-burntsushi-toml-dev,
               golang-github-kballard-go-shellquote-dev,
               golang-github-mattn-go-colorable-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-ogier-pflag-dev,
               golang-golang-x-crypto-dev,
               golang-gopkg-yaml.v2-dev,
               ronn
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/hub
Vcs-Git: https://salsa.debian.org/go-team/packages/hub.git
Homepage: https://github.com/github/hub
XS-Go-Import-Path: github.com/github/hub

Package: hub
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         git
Recommends: xsel | xclip
Built-Using: ${misc:Built-Using}
Description: make git easier with GitHub
 hub is GitHub’s official tool that wraps git in order to extend it
 with extra functionality that make working with GitHub easier.
 .
   $ hub clone rtomayko/tilt
 .
   # expands to:
   $ git clone git://github.com/rtomayko/tilt.git
 .
 hub is best aliased as git, so you can type "git <command>" in the shell
 and get all the usual hub features.
 .
 You should place this command in your .bash_profile or other
 startup script:
 .
   eval "$(hub alias -s)"
 .
 This package contains the binaries.

## hub 2.6.0~ds1

=== debian/changelog ===
hub (2.6.0~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version

 -- Christos Trochalakis <ctrochalakis@debian.org>  Thu, 15 Nov 2018 11:32:51 +0200

## hub 2.6.1~ds1

=== debian/changelog ===
hub (2.6.1~ds1-1) unstable; urgency=medium

  * New upstream version 2.6.1
  * Update Maintainer email address to team+pkg-go@tracker.debian.org
  * Refresh man-pages.patch
  * Remove disable-TestTransformRemoteArgs.patch.
    See https://github.com/github/hub/issues/1937

 -- Anthony Fok <foka@debian.org>  Sat, 22 Dec 2018 21:11:20 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: hub
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>,
            Anthony Fok <foka@debian.org>
 Section: net

## hub 2.7.0~ds1

=== debian/changelog ===
hub (2.7.0~ds1-1) unstable; urgency=medium

  * New upstream version 2.7.0
  * Bump Standards-Version to 4.3.0 (no change)

 -- Anthony Fok <foka@debian.org>  Wed, 02 Jan 2019 01:38:14 -0700

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                golang-golang-x-crypto-dev,
                golang-gopkg-yaml.v2-dev,
                ronn
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/hub
 Vcs-Git: https://salsa.debian.org/go-team/packages/hub.git
 Homepage: https://github.com/github/hub

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := fixtures/
export PATH := obj-$(DEB_HOST_GNU_TYPE)/bin/:$(PATH)

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang
	LC_ALL=C.UTF-8 make man-pages

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=golang

override_dh_auto_install:
	dh_auto_install -O--buildsystem=golang -- --no-source

override_dh_fixperms:
	dh_fixperms -O--buildsystem=golang
	# See https://github.com/github/hub/pull/1782
	chmod -x debian/hub/usr/share/*sh*/*completion*/*hub

## hub 2.14.2~ds1

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,29 @@
-SOURCES = $(shell script/build files)
+SOURCES = $(shell go list -f '{{range .GoFiles}}{{$$.Dir}}/{{.}}\
+{{end}}' ./...)
+SOURCE_DATE_EPOCH ?= $(shell date +%s)
+BUILD_DATE = $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" '+%d %b %Y' 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" '+%d %b %Y')
+HUB_VERSION = $(shell bin/hub version | tail -1)
 
-MIN_COVERAGE = 89.4
+export GOFLAGS := -mod=vendor
+export GO111MODULE=on
+unexport GOPATH
+
+export LDFLAGS := -extldflags '$(LDFLAGS)'
+export GCFLAGS := all=-trimpath '$(PWD)'
+export ASMFLAGS := all=-trimpath '$(PWD)'
+
+MIN_COVERAGE = 90.2
 
 HELP_CMD = \
 	share/man/man1/hub-alias.1 \
+	share/man/man1/hub-api.1 \
 	share/man/man1/hub-browse.1 \
 	share/man/man1/hub-ci-status.1 \
 	share/man/man1/hub-compare.1 \
 	share/man/man1/hub-create.1 \
 	share/man/man1/hub-delete.1 \
 	share/man/man1/hub-fork.1 \
+	share/man/man1/hub-gist.1 \
 	share/man/man1/hub-pr.1 \
 	share/man/man1/hub-pull-request.1 \
 	share/man/man1/hub-release.1 \
@@ -37,6 +51,9 @@
 bin/hub: $(SOURCES)
 	script/build -o $@
 
+bin/md2roff: $(SOURCES)
+	go build -o $@ github.com/github/hub/md2roff-bin
+
 test:
 	go test ./...
 
@@ -47,26 +64,31 @@
 	script/test
 endif
 
-bin/ronn bin/cucumber:
+bin/cucumber:
 	script/bootstrap
 
 fmt:
 	go fmt ./...
 
-man-pages: $(HELP_ALL:=.ronn) $(HELP_ALL) $(HELP_ALL:=.txt)
+man-pages: $(HELP_ALL:=.md) $(HELP_ALL) $(HELP_ALL:=.txt)
 
-%.txt: %.ronn
+%.txt: %
 	groff -Wall -mtty-char -mandoc -Tutf8 -rLL=$(TEXT_WIDTH)n $< | col -b >$@
 
 $(HELP_ALL): share/man/.man-pages.stamp
-share/man/.man-pages.stamp: bin/ronn $(HELP_ALL:=.ronn)
-	bin/ronn --organization=GITHUB --manual="Hub Manual" share/man/man1/*.ronn
+share/man/.man-pages.stamp: $(HELP_ALL:=.md) ./man-template.html bin/md2roff
+	bin/md2roff --manual="hub manual" \
+		--date="$(BUILD_DATE)" --version="$(HUB_VERSION)" \
+		--template=./man-template.html \
+		share/man/man1/*.md
+	mkdir -p share/doc/hub-doc
+	mv share/man/*/*.html share/doc/hub-doc/
 	touch $@
 
-%.1.ronn: bin/hub
-	bin/hub help $(*F) --plain-text | script/format-ronn $(*F) $@
+%.1.md: bin/hub
+	bin/hub help $(*F) --plain-text >$@
 
-share/man/man1/hub.1.ronn:
+share/man/man1/hub.1.md:
 	true
 
 install: bin/hub man-pages

=== debian/changelog ===
hub (2.14.2~ds1-2) unstable; urgency=medium

  * Team upload.
  * Fix clean target. Closes: #1047862.
  * Update homepage. Closes: #1094214.
  * Drop "Rules-Requires-Root: no" (default).
  * Drop "Priority: optional" (default).
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Wed, 29 Oct 2025 17:25:00 +0100

hub (2.14.2~ds1-1) unstable; urgency=medium

  * New upstream version 2.14.2 (Closes: #949637)
  * debian/control: Bump Standards-Version to 4.5.1 (no change)
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance
  * Remove Ruby ronn from build dependency
    and remove related debian/patches/man-pages.patch
  * Update build dependencies as per go.mod
    but use golang-github-russross-blackfriday-v2-dev instead of v1
  * Patch md2roff to use updated blackfriday v2 import path
  * debian/rules: Adapt to upstream new way of building man pages
  * Install new man pages, HTML documentation and Vim files too

 -- Anthony Fok <foka@debian.org>  Thu, 18 Feb 2021 02:23:57 -0700

hub (2.7.0~ds1-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

  [ Aloïs Micard ]
  * Bump debhelper compat to 13.
  * Add d/upstream/metadata.
  * Indicate that hub is not Github official client anymore (Closes: #961985).
  * Add Rules-Requires-Root: no.

 -- Aloïs Micard <alois@micard.lu>  Sun, 01 Nov 2020 19:47:01 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
            Anthony Fok <foka@debian.org>
 Section: net
 Testsuite: autopkgtest-pkg-go
-Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-golang,
                git,
@@ -13,18 +12,19 @@
                golang-github-atotto-clipboard-dev,
                golang-github-bmizerany-assert-dev,
                golang-github-burntsushi-toml-dev,
+               golang-github-google-go-cmp-dev,
                golang-github-kballard-go-shellquote-dev,
                golang-github-mattn-go-colorable-dev,
                golang-github-mattn-go-isatty-dev,
                golang-github-mitchellh-go-homedir-dev,
-               golang-github-ogier-pflag-dev,
+               golang-github-russross-blackfriday-v2-dev,
                golang-golang-x-crypto-dev,
-               golang-gopkg-yaml.v2-dev,
-               ronn
-Standards-Version: 4.3.0
+               golang-golang-x-net-dev,
+               golang-gopkg-yaml.v2-dev
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/hub
 Vcs-Git: https://salsa.debian.org/go-team/packages/hub.git
-Homepage: https://github.com/github/hub
+Homepage: https://github.com/mislav/hub
 XS-Go-Import-Path: github.com/github/hub
 
 Package: hub
@@ -35,7 +35,7 @@
 Recommends: xsel | xclip
 Built-Using: ${misc:Built-Using}
 Description: make git easier with GitHub
- hub is GitHub’s official tool that wraps git in order to extend it
+ hub is a command line tool that wraps git in order to extend it
  with extra functionality that make working with GitHub easier.
  .
    $ hub clone rtomayko/tilt

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := fixtures/

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_after_dh_auto_build:
	mkdir -p bin
	cp -av _build/bin/hub bin/hub
	mv -v _build/bin/md2roff-bin bin/md2roff
	$(MAKE) man-pages

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/hub-$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|preview)\d*)$/$1~$2/,\
dversionmangle=s/[~+]ds\d*$//,\
repacksuffix=~ds1 \
  https://github.com/github/hub/tags .*/v?(\d\S*)\.tar\.gz

## hub v1-1.3.6

=== requirements.txt ===
click>=6.7, <8
numpy>=1.17, <2
requests>=2, <3
fsspec>=0.8, <2022
gcsfs>=0.6.2, <0.7  # newer versions fail tests #97
s3fs==0.4.2, <0.5.2  # newer versions require Python 3.7+
boto3==1.17.59
lz4>=3, <4
zarr>=2.4, <2.8
tqdm>=4.1, <5
azure-storage-blob>=12, <13
pathos>=0.2, <0.3
humbug>=0.1.14, <0.3
Pillow>=6
msgpack>=0.6
psutil>=5.8  # needed only for deprecated code
cachey>=0.2.1 # needed only for deprecated code
